Choose style:

Author Topic: HP 1515 printer acting up(SOLVED)  (Read 3750 times)

0 Members and 1 Guest are viewing this topic.

Offline alynur

  • Trusted User
  • Veteran
  • *****
  • Posts: 1002
  • Karma: 56
  • Habitual Forum Browser
    • View Profile
  • Peppermint version(s): P 9R (64bit), P 10
Re: HP 1515 printer acting up
« Reply #15 on: February 01, 2016, 03:24:11 pm »
Wow, a bunch of errors, I'll list them and my attempt to run hp-doctor which I was unable to do because the system doesn't accept my password as root or superuser.
Code: [Select]
albert@albert-desktop ~ $ hp-doctor

HP Linux Imaging and Printing System (ver. 3.14.3)
Self Diagnse Utility and Healing Utility ver. 1.0

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: peppermint distro is not found in AUTH_TYPES
 

Checking for Deprecated items....
error: This distro (i.e linuxmint  0.0) is either deprecated or not yet supported.
The diagnosis is limited on unsupported platforms. Do you want to continue?(y=yes*, n=no):y


Checking for HPLIP updates....
error: Failed to locate hp-upgrade utility


Checking for Dependencies....
warning: linuxmint-0.0 version is not supported. Using linuxmint-16 versions dependencies to verify and install...
HPLIP-Version: HPLIP 3.14.3
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for linuxmint distro  0.0 version
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.
Missing Required Dependencies
-----------------------------
error: 'libdbus-1-dev' package is missing/incompatible
error: 'libcups2' package is missing or 'cups' service is not running.
error: 'openssl' package is missing/incompatible
error: 'libjpeg8-dev' package is missing/incompatible
error: 'python-dev' package is missing/incompatible
error: 'libcups2-dev' package is missing or 'cups' service is not running.
error: 'cups-bsd' package is missing or 'cups' service is not running.
error: 'cups-client' package is missing or 'cups' service is not running.
error: 'libsane-dev' package is missing/incompatible
error: 'libusb-1.0.0-dev' package is missing/incompatible
error: 'libusb-dev' package is missing/incompatible
error: 'libcupsimage2-dev' package is missing or 'cups' service is not running.
error: 'libsnmp-dev' package is missing/incompatible
error: 'snmp-mibs-downloader' package is missing/incompatible
error: 'libtool' package is missing/incompatible
Missing Optional Dependencies
-----------------------------
error: 'avahi-utils' package is missing/incompatible
ENTER ROOT/SUPERUSER PASSWORD
-----------------------------
Please enter the root/superuser password:
error: Password incorrect. 2 attempt(s) left.
Please enter the root/superuser password:
error: Password incorrect. 1 attempt(s) left.
Please enter the root/superuser password:
error: Password incorrect.
error: 3 incorrect attempts. (or) Insufficient permissions(i.e. try with sudo user).
Exiting.
albert@albert-desktop ~ $ sudo hp-doctor
[sudo] password for albert:
error: Please run hp-doctor as a non-root user
« Last Edit: February 01, 2016, 05:42:53 pm by AndyInMokum, Reason: Encapsulating output with [code] »
What was I thinking?

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 25659
  • Karma: 2819
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R, 9, and 9R
Re: HP 1515 printer acting up
« Reply #16 on: February 01, 2016, 05:06:39 pm »
See if running:
Code: [Select]
sudo apt-get install libdbus-1-dev libcups2 openssl libjpeg8-dev python-dev libcups2-dev cups-bsd cups-client libsane-dev libusb-1.0.0-dev libusb-dev libcupsimage2-dev libsnmp-dev snmp-mibs-downloader libtool avahi-utils
makes any difference
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline alynur

  • Trusted User
  • Veteran
  • *****
  • Posts: 1002
  • Karma: 56
  • Habitual Forum Browser
    • View Profile
  • Peppermint version(s): P 9R (64bit), P 10
Re: HP 1515 printer acting up
« Reply #17 on: February 01, 2016, 08:50:47 pm »
See if running:
Code: [Select]
sudo apt-get install libdbus-1-dev libcups2 openssl libjpeg8-dev python-dev libcups2-dev cups-bsd cups-client libsane-dev libusb-1.0.0-dev libusb-dev libcupsimage2-dev libsnmp-dev snmp-mibs-downloader libtool avahi-utils
makes any difference

Hi PCNetSpec, I installed all of that, 90.9mb of files, and it made all the difference in the world. I printed the same ten page document without a hitch. I was hoping that maybe I'ld get lucky and XsaneScan would work with Color Enhancement enabled but that still doesn't work, just so you know. But I'm good now, I think. So I'll close this one out and say thank you very much one more time. Until the next problem, chao  :)
What was I thinking?

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 25659
  • Karma: 2819
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R, 9, and 9R
Re: HP 1515 printer acting up(SOLVED)
« Reply #18 on: February 02, 2016, 05:50:49 am »
Great news .. You're welcome my friend :)

I can vaguely remember getting colour enhancement working for someone at one point .. can't remember how, but gimme a shout if you want to look into it.
« Last Edit: February 02, 2016, 05:52:28 am by PCNetSpec »
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec